clang 8.0.0

Classes | Public Member Functions | List of all members
clang::ento::IndirectGotoNodeBuilder Class Reference

`#include "clang/StaticAnalyzer/Core/PathSensitive/CoreEngine.h"`

## Classes
class | iterator

## Public Member Functions
| IndirectGotoNodeBuilder (ExplodedNode *pred, const CFGBlock *src, const Expr *e, const CFGBlock *dispatch, CoreEngine *eng)
iterator | begin ()
iterator | end ()
ExplodedNode * | generateNode (const iterator &I, ProgramStateRef State, bool isSink=false)
const Expr * | getTarget () const
ProgramStateRef | getState () const
const LocationContext * | getLocationContext () const

## Detailed Description

Definition at line 469 of file CoreEngine.h.

## Constructor & Destructor Documentation

## ◆ IndirectGotoNodeBuilder()

clang::ento::IndirectGotoNodeBuilder::IndirectGotoNodeBuilder | ( | ExplodedNode * | pred,
|  | const CFGBlock * | src,
|  | const Expr * | e,
|  | const CFGBlock * | dispatch,
|  | CoreEngine * | eng
| ) |  |
| inline

Definition at line 477 of file CoreEngine.h.

## Member Function Documentation

## ◆ begin()

iterator clang::ento::IndirectGotoNodeBuilder::begin | ( |  | ) |
| inline

Definition at line 501 of file CoreEngine.h.

References clang::CFGBlock::succ_begin().

Referenced by clang::ento::ExprEngine::processIndirectGoto().

## ◆ end()

iterator clang::ento::IndirectGotoNodeBuilder::end | ( |  | ) |
| inline

Definition at line 502 of file CoreEngine.h.

References State, and clang::CFGBlock::succ_end().

Referenced by clang::ento::ExprEngine::processIndirectGoto().

## ◆ generateNode()

ExplodedNode * IndirectGotoNodeBuilder::generateNode | ( | const iterator & | I,
|  | ProgramStateRef | State,
|  | bool | isSink = `false`
| ) |  |

Definition at line 597 of file CoreEngine.cpp.

References clang::ento::ExplodedNode::addPredecessor(), clang::ento::IndirectGotoNodeBuilder::iterator::getBlock(), and clang::ento::ExplodedNode::getLocationContext().

Referenced by clang::ento::ExprEngine::processIndirectGoto().

## ◆ getLocationContext()

const LocationContext* clang::ento::IndirectGotoNodeBuilder::getLocationContext | ( |  | ) | const
| inline

Definition at line 512 of file CoreEngine.h.

References clang::ento::ExplodedNode::getLocationContext().

Referenced by clang::ento::ExprEngine::processIndirectGoto().

## ◆ getState()

ProgramStateRef clang::ento::IndirectGotoNodeBuilder::getState | ( |  | ) | const
| inline

Definition at line 510 of file CoreEngine.h.

Referenced by clang::ento::ExprEngine::processIndirectGoto().

## ◆ getTarget()

const Expr* clang::ento::IndirectGotoNodeBuilder::getTarget | ( |  | ) | const
| inline

Definition at line 508 of file CoreEngine.h.

Referenced by clang::ento::ExprEngine::processIndirectGoto().

The documentation for this class was generated from the following files:

- include/clang/StaticAnalyzer/Core/PathSensitive/CoreEngine.h
- lib/StaticAnalyzer/Core/CoreEngine.cpp